Name:           alacarte
Version:        0.10.0
Release:        %mkrel 2
Summary:        Simple menu editor for Gnome

Group:          System/Configuration/Other
License:        GPL
URL:            http://www.realistanew.com/projects/alacarte/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:	%name-icons.tar.bz2
# (fc) 0.10.0-2mdv fix menu path in generated file
Patch0:		alacarte-0.10.0-menupath.patch.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

BuildRequires:  pygtk2.0-devel
BuildRequires: 	desktop-file-utils
BuildRequires:  gnome-menus-devel >= 2.15.4.1
BuildRequires:  perl-XML-Parser
Requires: 	pygtk2.0, gnome-python-gconf, gnome-python
Requires: 	python-gnome-menus
Obsoletes:      smeg
Provides:       smeg %{version}-%{release}

%description
Alacarte is a menu editor for GNOME that lets you get things done,
simply and quickly.

Just click and type to edit, add, and delete any menu entry.

%prep
%setup -q -a1
%patch0 -p1 -b .menupath

%build
#%{__python} setup.py build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
#python setup.py install --prefix=%_prefix --root=%buildroot
%makeinstall_std

%find_lang %name --with-gnome

# move from /usr/lib(64) to /usr/share
#cp %{_builddir}/alacarte-%{version}/lib/alacarte/* $RPM_BUILD_ROOT%{_datadir}/alacarte

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF

?package(%name): \
        command="%_bindir/%name" \
        needs="X11" \
        section="System/Configuration/Other" \
        icon="%name.png" \
        title="Alacarte" \
        longtitle="%summary" \
	xdg="true"
EOF
desktop-file-install --vendor="" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING
%py_platlibdir/site-packages/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/%name/*
%{_datadir}/icons/*
%{_libdir}/menu/%{name}
%{_iconsdir}/*/%name.png
%{_iconsdir}/%name.png

%changelog
* Fri Sep 08 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10.0-2mdv2007.0
- Patch0: fix menu path in generated file

* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2007.0
- New release 0.10.0

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.90-3mdv2007.0
- Fix xdg tag

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 0.9.90-2mdv2007.0
- fix description
- explicit dep on python-gnome-menus
- fix buildrequires

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 0.9.90-1mdv2007.0
- New release 0.9.90

* Wed Jul 12 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-1mdv2007.0
- Release 0.9.2

* Tue Jul 11 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.1-4mdv2007.0
- Remove patches 0, 1, requires gnome-menus 0.15.4.1 

* Thu Jun 15 2006 Jerome Soyer <saispo@mandriva.org> 0.9.1-3mdv2007.0
- Fix #23119

* Fri May 19 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.1-2mdk
- Patch0: fix compatibility with gnome 2.14
- Patch1: edit mdk menus
- Don't require pyxdg
- don't update icon cache too much when upgrading
- migrate to XDG menu

* Fri May 19 2006 Jerome Soyer <saispo@mandriva.org> 0.9.1-1mdk
- New release 0.9.1

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 0.8-4mdk
- Oops, error on Requires s/pyxdr/pyxdg/

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 0.8-3mdk
- Rebuild with the new pyxdg

* Wed Mar 08 2006 Jerome Soyer <saispo@mandriva.org> 0.8-2mdk
- Fix Requires

* Wed Mar 08 2006 Jerome Soyer <saispo@mandriva.org> 0.8-1mdk
- First Release
